# Fetch upstream
- `repo forall -vc "git reset --hard"`
- `repo init -b refs/tags/5.4.0`
- `repo sync -j8`
- `export PATH="$PATH:/usr/sbin:/mnt/disk0205/ralyxos/sign/out/bin"`
- `./calyx/scripts/pixel/device.sh shiba`



# Version Code
- `vendor/calyx/config/version.mk`



# Update server
- `packages/apps/SystemUpdater/app/src/main/java/org/calyxos/systemupdater/update/manager/UpdateManagerImpl.kt`
- `packages/apps/Updater/res/values/config.xml`
- (`development/build/tools/mk_sdk_repo_xml.sh`)



# Include Updater App
- `vendor/calyx/config/common.mk`



# Notes
### Use of `$OFFICIAL_BUILD`
- `vendor/calyx/build/envsetup.sh` ()
- `vendor/calyx/config/version.mk` (Version suffix)
- `vendor/calyx/config/common.mk` (Whether to ship updater)

### Include own prebuilt `.apk` files
- Create file dir like `prebuilts/calyx/fdroid/Android.mk`
- Add line to `vendor/calyx/config/common.mk`
- https://adityatelange.in/blog/aosp/aosp-adding-prebuilt-apk
